apiVersion: apps/v1
kind: Deployment
metadata:
  name: catalog-api-deploy
spec:
  replicas: 1
  selector:
    matchLabels:
      app: catalog-api
  template:
    metadata:
      labels:
        app: catalog-api
    spec:
      containers:
      - name: api
        image: hashicorp/http-echo:latest # Imagen ligera de prueba para la API
        args:
          - "-text=Catálogo de Productos API Funcional"
        ports:
        - containerPort: 5678
---
apiVersion: v1
kind: Service
metadata:
  name: catalog-api-svc
spec:
  selector:
    app: catalog-api
  ports:
    - protocol: TCP
      port: 80
      targetPort: 5678